//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Device/Detector/CoordTypes.h
//! @brief     Defines enum Axis::Units.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_DEVICE_DETECTOR_COORDTYPES_H
#define BORNAGAIN_DEVICE_DETECTOR_COORDTYPES_H

enum class Coords { UNDEFINED, NBINS, RADIANS, DEGREES, MM, QSPACE };

#endif // BORNAGAIN_DEVICE_DETECTOR_COORDTYPES_H
